Skip to main content
Announcements
Live today at 11 AM ET. Get your questions about Qlik Connect answered, or just listen in. SIGN UP NOW
cancel
Showing results for 
Search instead for 
Did you mean: 
rdewolfe
Contributor
Contributor

Replicate Upgrade Path

Hello,

We have a replicate instance that is well past due for an upgrade, currently running 6.4.

If I'd like to get up to a current version is the upgrade path in this post(https://community.qlik.com/t5/Qlik-Replicate/replicate-upgrade-path/td-p/1931886) still correct?  I don't see the 7.x version on the downloads page, is that installer still available?

6.4 -> 6.6(Latest)
6.6 -> 7.x(Latest)
7.x -> 2021.11

After 2021.11 can I go straight to a 2023 May release?

Also will I have to perform full reloads as a part of this?

Thanks in advance

 

Labels (1)
10 Replies
Gerald_U
Support
Support

Hello,

The upgrade path you mentioned is correct.

I would also suggest you go from 2021.11 to 2022.11 before going to 2023.05.

Here is the link for Replicate 7.0 SP 10 as requested:
https://files.qlik.com/url/dzgkrrrydvqufzj4

Yes, I would recommend you reload when you get to May 2023 release. 

Regards,

Gerald 

rdewolfe
Contributor
Contributor
Author

Thanks Gerald,

Will the reloads be required at the time of  upgrade, or could we stagger them over the next few days?  We have a substantial quantity of data in continuous syncs on this instance and it could take a very long time to fully load all of them.

Gerald_U
Support
Support

Yes, you can stagger them over a few days.

Thanks,

Gerald 

rdewolfe
Contributor
Contributor
Author

@Gerald_U  do you have a link to the 6.6 release as well? I can't find that on the downloads page either

 

Gerald_U
Support
Support

Here is the link for Replicate 6.6 SP 14.
https://files.qlik.com/url/fg6zbynmpbjdqctw

 

Best,

Gerald

rdewolfe
Contributor
Contributor
Author

Hi Gerald,

I received the following error while attempting to install 6.6

Product: Qlik Replicate. The application tried to install a more recent version of the protected Windows file C:\Windows\system32\ucrtbase.dll.  You may need to update your operating system for this application to work correctly. (Package Version: 10.0.10586.15, Operating System Protected Version: 6.3.14393.3659).

It appears that this was fixed in future releases.  Should I attempt to upgrade directly to a higher version or is there another option here?

Thanks

Alan_Wang
Support
Support

Hi @rdewolfe 

As you go through the incremental upgrades, please check the user guide for the corresponding Replicate versions to ensure that Database versions, Database drivers, and OS system platform/versions will comply with the prerequisites in the user guide. 

May 2023 has recently depreciated Linux 7.x as a supported OS so your server should be checked prior to the upgrade.

It is recommended to go with incremental upgrades, but you can try a direct jump by unstalling Replicate first and going through a new installation before overwriting the data backup folders. Data folders should be backed up and kept should you need to revert back to 6.4 if the jump fails. Reverting back to 6.4 with a 6.4 backup should be done if needed.

 

 

 

If the issue is solved please mark the answer with Accept as Solution.
rdewolfe
Contributor
Contributor
Author

HI Alan,

 

Do you have the user guides for 6.6 and 7.0 available?  I don't see them in the support portal.

 

Dana_Baldwin
Support
Support

Hi @rdewolfe 

I am attaching them here.

Dana